import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.Id;
import javax.persistence.Temporal;
import javax.persistence.TemporalType;


@Entity
public class Professor {
  @Id
  private int id;
  private String name;
  private long salary;

  @Temporal(TemporalType.TIMESTAMP)
  private java.util.Date startDate;

  public Professor() {
  }

  public Professor(int id) {
    this.id = id;
  }

  public int getId() {
    return id;
  }

  public void setId(int id) {
    this.id = id;
  }

  public String getName() {
    return name;
  }

  public void setName(String name) {
    this.name = name;
  }

  public long getSalary() {
    return salary;
  }

  public void setSalary(long salary) {
    this.salary = salary;
  }


  public java.util.Date getStartDate() {
    return startDate;
  }

  public void setStartDate(java.util.Date startDate) {
    this.startDate = startDate;
  }

  public String toString() {
    return "Professor id: " + getId() + " name: " + getName() + " salary: " + getSalary();
  }
}
